Bug 430243 - Use consistent naming for tools
Use consistent naming for tools
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-01-25 10:12 EST by Rob Crittenden
Modified: 2015-01-04 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:15:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rename tools and man pages (85.32 KB, patch)
2008-01-25 11:12 EST, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-01-25 10:12:14 EST
Most of the tools have the format: ipa-operation|type

For example, ipa-adduser, ipa-addgroup, ipa-deluser, etc.

Others break that format, particularly the ones that modify data: ipa-usermod,
ipa-groupmod.

Rename the mod ones to stick to the same format.

The tools to change are:

ipa-admintools/
  ipa-usermod
  ipa-groupmod

ipa-radius-admintools/
  ipa-radiusclientmod
  ipa-radiusprofilemod
Comment 1 Rob Crittenden 2008-01-25 11:12:13 EST
Created attachment 292955 [details]
rename tools and man pages
Comment 2 Yi Zhang 2008-05-27 19:53:54 EDT
QA Verified on May 27, 2008 (Yi)

Build used: May 27, 2008 (i386)

ipaserver[05/27/08 16:52] ls -l /usr/sbin/ipa*
-rwxr-xr-x 1 root root  6391 May 23 19:43 /usr/sbin/ipa-adddelegation
-rwxr-xr-x 1 root root  4142 May 23 19:43 /usr/sbin/ipa-addgroup
-rwxr-xr-x 1 root root  3073 May 23 19:43 /usr/sbin/ipa-addservice
-rwxr-xr-x 1 root root  8897 May 23 19:43 /usr/sbin/ipa-adduser
-rwxr-xr-x 1 root root 15883 May 23 19:43 /usr/sbin/ipa-client-install
-rwxr-xr-x 1 root root  1422 May 23 19:43 /usr/sbin/ipactl
-rwxr-xr-x 1 root root  4188 May 23 19:43 /usr/sbin/ipa-deldelegation
-rwxr-xr-x 1 root root  3165 May 23 19:43 /usr/sbin/ipa-delgroup
-rwxr-xr-x 1 root root  3189 May 23 19:43 /usr/sbin/ipa-delservice
-rwxr-xr-x 1 root root  2737 May 23 19:43 /usr/sbin/ipa-deluser
-rwxr-xr-x 1 root root  4834 May 23 19:43 /usr/sbin/ipa-findgroup
-rwxr-xr-x 1 root root  3111 May 23 19:43 /usr/sbin/ipa-findservice
-rwxr-xr-x 1 root root  5147 May 23 19:43 /usr/sbin/ipa-finduser
-rwxr-xr-x 1 root root 12412 May 23 19:43 /usr/sbin/ipa-getkeytab
-rwxr-xr-x 1 root root 23128 May 23 19:43 /usr/sbin/ipa_kpasswd
-rwxr-xr-x 1 root root  3760 May 23 19:43 /usr/sbin/ipa-listdelegation
-rwxr-xr-x 1 root root  3425 May 23 19:43 /usr/sbin/ipa-lockuser
-rwxr-xr-x 1 root root  7586 May 23 19:43 /usr/sbin/ipa-moddelegation
-rwxr-xr-x 1 root root  8227 May 23 19:43 /usr/sbin/ipa-modgroup
-rwxr-xr-x 1 root root 10233 May 23 19:43 /usr/sbin/ipa-moduser
-rwxr-xr-x 1 root root  4212 May 23 19:43 /usr/sbin/ipa-passwd
-rwxr-xr-x 1 root root  5299 May 23 19:43 /usr/sbin/ipa-pwpolicy
-rwxr-xr-x 1 root root  9365 May 23 19:43 /usr/sbin/ipa-replica-install
-rwxr-xr-x 1 root root  5865 May 23 19:43 /usr/sbin/ipa-replica-manage
-rwxr-xr-x 1 root root  7283 May 23 19:43 /usr/sbin/ipa-replica-prepare
-rwxr-xr-x 1 root root  4477 May 23 19:43 /usr/sbin/ipa-server-certinstall
-rwxr-xr-x 1 root root 19714 May 23 19:43 /usr/sbin/ipa-server-install
-rwxr-xr-x 1 root root  3051 May 23 19:43 /usr/sbin/ipa-upgradeconfig
-rwxr-xr-x 1 root root  5436 May 23 19:43 /usr/sbin/ipa_webgui

Note You need to log in before you can comment on or make changes to this bug.